﻿using System;
using System.Collections.Generic;
using System.Drawing.Printing;
using System.Linq;
using System.Text;

namespace Barcode_App_CS
{    
    class Program
    {
        public static string[] TextsToEncode;
        public static C1.Win.C1BarCode.C1BarCode bcode = new C1.Win.C1BarCode.C1BarCode();
        public static PrintDocument doc = new PrintDocument();
        public static string FileName = string.Empty;
        public static string input = string.Empty;

        static void Main(string[] args)
        {   
            doc.PrintPage += doc_PrintPage;
            
            string[] clArgs = Environment.GetCommandLineArgs();
            FileName = clArgs[2].ToString();
            input = System.IO.File.ReadAllText(FileName);

            C1.Win.C1BarCode.CodeTypeEnum BarType = (C1.Win.C1BarCode.CodeTypeEnum)Enum.Parse(typeof(C1.Win.C1BarCode.CodeTypeEnum), clArgs[1].ToString());
            bcode.CodeType = BarType;
            TextsToEncode = input.Split(new char[] { ';' });
            doc.Print();
            Console.WriteLine("Printed Successfully!!!");
            Console.ReadLine();
        }

        static void doc_PrintPage(object sender, PrintPageEventArgs e)
        {
            string bartext = string.Empty;
            int count = 1;
            foreach (string bartext_loopVariable in TextsToEncode)
            {
                bartext = bartext_loopVariable;
                bcode.Text = bartext;

                System.Drawing.RectangleF rcPage = new System.Drawing.RectangleF(e.MarginBounds.X, e.MarginBounds.Y * count, 100, 30);
                e.Graphics.DrawString(bartext, new System.Drawing.Font("ARIAL", 12f), System.Drawing.Brushes.Black, new System.Drawing.PointF(rcPage.X - 23, rcPage.Y - 20));
                e.Graphics.DrawImage(bcode.Image, rcPage);
                count = count + 1;
            }

        }
    }
}
